USE [ApotekXYZ_db]
GO
/****** Object:  Table [dbo].[Laporan]    Script Date: 05/06/2020 14:37:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Laporan](
	[ID Laporan] [varchar](10) NOT NULL,
	[Judul Laporan] [varchar](50) NULL,
 CONSTRAINT [PK_Laporan] PRIMARY KEY CLUSTERED 
(
	[ID Laporan] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Medicine group fact]    Script Date: 05/06/2020 14:37:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Medicine group fact](
	[Tipe_obat] [varchar](10) NULL,
	[ID obat] [varchar](10) NULL,
	[ID Laporan] [varchar](10) NULL,
	[persentasi jumlah obat dalam satu rak] [decimal](18, 0) NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Medicine Transaction Fact]    Script Date: 05/06/2020 14:37:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Medicine Transaction Fact](
	[ID Waktu] [datetime] NULL,
	[ID Obat] [varchar](10) NULL,
	[ID Owner] [varchar](10) NULL,
	[ID Laporan] [varchar](10) NULL,
	[Presentasi transaksi] [decimal](18, 0) NULL,
	[Jumlah Transaksi] [int] NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Obat]    Script Date: 05/06/2020 14:37:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Obat](
	[ID Obat] [varchar](10) NOT NULL,
	[Tipe Obat] [varchar](10) NOT NULL,
	[Nama Obat] [varchar](15) NULL,
	[Jumlah Obat] [int] NULL,
	[Harga Obat] [bigint] NULL,
 CONSTRAINT [PK_Obat] PRIMARY KEY CLUSTERED 
(
	[ID Obat] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Owner]    Script Date: 05/06/2020 14:37:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Owner](
	[ID Owner] [varchar](10) NOT NULL,
	[Nama Owner] [varchar](20) NULL,
	[Address] [varchar](20) NULL,
	[Phone number] [numeric](18, 0) NULL,
 CONSTRAINT [PK_Owner] PRIMARY KEY CLUSTERED 
(
	[ID Owner] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Tipe Obat]    Script Date: 05/06/2020 14:37:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Tipe Obat](
	[Tipe Obat] [varchar](15) NOT NULL,
	[Deskripsi] [varchar](20) NULL,
	[Status] [varchar](10) NULL,
 CONSTRAINT [PK_Tipe Obat] PRIMARY KEY CLUSTERED 
(
	[Tipe Obat] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Waktu]    Script Date: 05/06/2020 14:37:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Waktu](
	[ID Waktu] [datetime] NOT NULL,
	[Date] [int] NULL,
	[Month] [varchar](10) NULL,
	[Year] [int] NULL,
 CONSTRAINT [PK_Waktu] PRIMARY KEY CLUSTERED 
(
	[ID Waktu] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
